summaryrefslogtreecommitdiff
path: root/pcr/vimperator
diff options
context:
space:
mode:
authorAndreas Grapentin <andreas@grapentin.org>2018-02-03 08:26:11 +0100
committerAndreas Grapentin <andreas@grapentin.org>2018-02-03 08:26:11 +0100
commit39efebfaedd5d123c75f029428577c0348a2e781 (patch)
tree5369795ca667e0cd96b64fe2f5a77510ad5c424d /pcr/vimperator
parentfbf55cfdeaae6d137169173bfa2e3f295e9ed4b4 (diff)
pcr/vimperator: added to replace iceweasel-vimperator and icecat-vimperator
Diffstat (limited to 'pcr/vimperator')
-rw-r--r--pcr/vimperator/PKGBUILD39
1 files changed, 39 insertions, 0 deletions
diff --git a/pcr/vimperator/PKGBUILD b/pcr/vimperator/PKGBUILD
new file mode 100644
index 000000000..46555ef93
--- /dev/null
+++ b/pcr/vimperator/PKGBUILD
@@ -0,0 +1,39 @@
+# Maintainer (AUR): John Jenkins twodopeshaggy@gmail.com
+# Contributor (AUR): Gustavo Dutra <mechamo@gustavodutra.com>
+# Contributor: André Silva <emulatorman@hyperbola.info>
+
+# parabola changes and rationale:
+# - split package for icecat and iceweasel
+
+pkgbase=vimperator
+pkgname=('iceweasel-vimperator' 'icecat-vimperator')
+license=("MIT")
+pkgver=3.16.0
+pkgrel=1
+arch=('any')
+url="http://vimperator.org/vimperator"
+_extensionId="vimperator@mozdev.org"
+_fileName=vimperator-$pkgver.xpi
+source=(https://github.com/vimperator/vimperator-labs/releases/download/$pkgbase-$pkgver/$pkgbase-$pkgver.xpi)
+md5sums=('e1a254894d0c39545e3a5f8fb2f1a8a3')
+conflicts=('vimperator-hg' 'vimperator-git')
+
+package_iceweasel-vimperator() {
+ pkgdesc="Make iceweasel look and behave like Vim"
+ depends=('iceweasel')
+ cd $srcdir || return 1
+ local dstdir=$pkgdir/usr/lib/iceweasel/browser/extensions/$_extensionId
+ install -d $dstdir || return 1
+ cp -R * $dstdir || return 1
+ rm $dstdir/$_fileName
+}
+
+package_icecat-vimperator() {
+ pkgdesc="Make icecat look and behave like Vim"
+ depends=('icecat')
+ cd $srcdir || return 1
+ local dstdir=$pkgdir/usr/lib/icecat/browser/extensions/$_extensionId
+ install -d $dstdir || return 1
+ cp -R * $dstdir || return 1
+ rm $dstdir/$_fileName
+}